#define PROGVERS "1.0"
#define AUTHORINFO "(c)2009 M.Lucarelli"
#define PROGNAME "Fl_gl2display"

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include <FL/Fl.H>
#include <FL/Fl_Window.H>
#include <math.h>
#include <errno.h>
#include <limits.h>
#include <unistd.h>

#include "Fl_gl2display.h"

Fl_gl2displayLabel *gDisp;

void Draw()
{
	float i;	

	glBegin(GL_LINE_STRIP);

	glColor3ub(255,255,255);
	
	for(i=-6.28;i<6.28;i+=0.1){

		glVertex2f(i,sin(i));
	}
	
	glEnd();
}

int main(int argc, char* argv[])
{
	Fl::gl_visual(FL_RGB);
	
	Fl_Window wMain(800,400);
	wMain.label("Fl_gl2display tester");
		
	gDisp=new Fl_gl2displayLabel(5,5,790,390,Draw);
	
	wMain.resizable(wMain);
	wMain.end();
	wMain.show();  
	
	gDisp->setGrid(-2,2,10,30,50);
	gDisp->setScale(100);
	gDisp->setXoffset(3.14);
	gDisp->setYoffset(1.5);
	
	return Fl::run();
}
